Orgs Meta
sfp server API reference for Orgs Meta: 1 endpoint.
GET
/sfp/api/orgs/metaRetrieves a unified view of all Salesforce organizations from multiple sources: registered orgs, scratch org pools, and sandbox pools. Orgs appearing in multiple sources are deduplicated and merged into a single entry.
Authorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
sources?array<>
Filter by source types
poolTag?string
Filter pool orgs by pool tag
status?string
Filter pool orgs by status
repositoryIdentifier?string
Filter by repository identifier (owner/repo format)
includeEnvironments?boolean
Include environment details for registered orgs
Default
truedevHubOnly?boolean
Filter registered orgs to DevHubs only
Default
falseResponse Body
application/json
curl -X GET "https://example.com/sfp/api/orgs/meta"[ { "name": "string", "username": "string", "sources": [ "registered", "scratch_org_pool" ], "instanceUrl": "string", "orgId": "string", "loginUrl": "string", "organizationType": "production", "isDevHub": true, "isDefault": true, "metadata": {}, "environment": { "id": "string", "name": "string", "repositoryIdentifier": "string", "category": "dev", "branch": "string", "isActive": true }, "poolInfo": { "poolTag": "string", "repositoryIdentifier": "string", "status": "available", "devHubUsername": "string", "expiresAt": "string" } }]